QCAT - Bug #1909

User Story # 1897 (Closed): APl endpoints to add new cases

Updating Questionnaire: Only adding image is not working
15 Sep 2020 15:47 - Kurt Gerber
Target version: Spent time: 0.00 hour
Resolution:

Description

When | add an image to a techology (formerly uploaded) by adding the following the list of picture under qg_photos:

"qgqg_photos": [
{
(already existing images)
}y
{
"image":"6777f90d-e536-488a-8681-921b7e08d603",

"image_date": "07/06/2009",
"image_caption": {
"en": "The photo shows some funny test image",
"th": "The photo shows some funny test image"
}I
"image_location": {
"en": "Lake Nakuru National Park, Kenya",
"th": "Lake Nakuru National Park, Kenya"

s
"image_photographer": {
"en": "Xy",
"th": "Xy"
]
When sending this update with POST , the response says:
"No changes detected" and the image is not appended.
When | change some description text somewhere else, it resonds 'successfull' and the image is added.
When | try to remove an image by removing an image from qg_photos, it answers again:

" No changes detected"

I'm wondering, what it is testing to detect changes. | think, it should rather use something like a 'hash comparison' so that each
change, even if it is only a space in text string, should be recoginzed as change.

History

#1 - 15 Sep 2020 15:48 - Kurt Gerber

- Status changed from New to Accepted

#2 - 16 Sep 2020 19:36 - Brahadeesh Dheenadayalan_Sivakami
- Status changed from Accepted to Resolved

- Assignee changed from Brahadeesh Dheenadayalan_Sivakami to Kurt Gerber

This should be all fixed now.
The comparison was only checking for updates to those nested items that already existed.
All it needed was a check that the length was matching or not.

Comparison between python dictionaries uses a hash method natively.

#3 - 16 Sep 2020 19:37 - Brahadeesh Dheenadayalan_Sivakami

- Status changed from Resolved to Feedback

#4 - 17 Sep 2020 15:29 - Kurt Gerber
- Status changed from Feedback to Closed

Works now.
